chat/prosody - The NetBSD Packages Collection

Flexible communications server for Jabber/XMPP written in Lua

Prosody is a flexible communications server for Jabber/XMPP written in Lua.
It aims to be easy to use, and light on resources. For developers it aims
to be easy to extend and give a flexible system on which to rapidly develop
added functionality, or prototype new protocols.

List of supported XEPs: https://prosody.im/doc/xeplist

Build dependencies

pkgtools/cwrappers

Runtime dependencies

textproc/lua-expat devel/lua-filesystem security/lua-sec net/lua-socket devel/libidn lang/lua52 devel/libidn

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfprosody-0.11.4nb1.tgz
NetBSD 8.0earmv7hfprosody-0.11.4nb1.tgz
NetBSD 8.0earmv7hfprosody-0.11.4nb1.tgz
NetBSD 8.0i386prosody-0.11.4nb1.tgz
NetBSD 8.0i386prosody-0.11.4nb1.tgz
NetBSD 8.0i386prosody-0.11.4nb1.tgz
NetBSD 8.0powerpcprosody-0.11.4nb1.tgz
NetBSD 8.0powerpcprosody-0.11.4nb1.tgz
NetBSD 8.0powerpcprosody-0.11.4nb1.tgz
NetBSD 8.0powerpcprosody-0.11.4nb1.tgz
NetBSD 8.0x86_64prosody-0.11.4nb1.tgz
NetBSD 8.0x86_64prosody-0.11.4nb1.tgz
NetBSD 8.0x86_64prosody-0.11.4nb1.tgz
NetBSD 9.0aarch64prosody-0.11.4nb1.tgz
NetBSD 9.0aarch64prosody-0.11.4nb1.tgz
NetBSD 9.0aarch64prosody-0.11.4nb1.tgz
NetBSD 9.0alphaprosody-0.11.4nb1.tgz
NetBSD 9.0alphaprosody-0.11.4nb1.tgz
NetBSD 9.0alphaprosody-0.11.4nb1.tgz
NetBSD 9.0earmv6hfprosody-0.11.4nb1.tgz
NetBSD 9.0earmv6hfprosody-0.11.4nb1.tgz
NetBSD 9.0earmv6hfprosody-0.11.4nb1.tgz
NetBSD 9.0earmv6hfprosody-0.11.4nb1.tgz
NetBSD 9.0earmv7hfprosody-0.11.4nb1.tgz
NetBSD 9.0earmv7hfprosody-0.11.4nb1.tgz
NetBSD 9.0earmv7hfprosody-0.11.4nb1.tgz
NetBSD 9.0earmv7hfprosody-0.11.4nb1.tgz
NetBSD 9.0earmv7hfprosody-0.11.4nb1.tgz
NetBSD 9.0i386prosody-0.11.4nb1.tgz
NetBSD 9.0i386prosody-0.11.4nb1.tgz
NetBSD 9.0i386prosody-0.11.4nb1.tgz
NetBSD 9.0mips64ebprosody-0.11.4nb1.tgz
NetBSD 9.0mips64ebprosody-0.11.4nb1.tgz
NetBSD 9.0mips64ebprosody-0.11.4nb1.tgz
NetBSD 9.0powerpcprosody-0.11.4nb1.tgz
NetBSD 9.0powerpcprosody-0.11.4nb1.tgz
NetBSD 9.0powerpcprosody-0.11.4nb1.tgz
NetBSD 9.0powerpcprosody-0.11.4nb1.tgz
NetBSD 9.0sparc64prosody-0.11.4nb1.tgz
NetBSD 9.0sparc64prosody-0.11.4nb1.tgz
NetBSD 9.0sparc64prosody-0.11.4nb1.tgz
NetBSD 9.0sparcprosody-0.11.4nb1.tgz
NetBSD 9.0sparcprosody-0.11.4nb1.tgz
NetBSD 9.0x86_64prosody-0.11.4nb1.tgz
NetBSD 9.0x86_64prosody-0.11.4nb1.tgz
NetBSD 9.0x86_64prosody-0.11.4nb1.tgz
NetBSD 9.0x86_64prosody-0.11.4nb1.tgz
NetBSD 9.0x86_64prosody-0.11.4nb1.tgz
NetBSD 9.0x86_64prosody-0.11.4nb1.tgz
NetBSD 9.0x86_64prosody-0.11.4nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.